clang 8.0.0

Public Member Functions | Static Public Member Functions | List of all members
clang::CodeGen::EHPadEndScope Class Reference

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/CodeGen/CGCleanup.h"`

Inheritance diagram for clang::CodeGen::EHPadEndScope:
[legend]
Collaboration diagram for clang::CodeGen::EHPadEndScope:
[legend]

## Public Member Functions
| EHPadEndScope (EHScopeStack::stable_iterator enclosingEHScope)
Public Member Functions inherited from clang::CodeGen::EHScope
| EHScope (Kind kind, EHScopeStack::stable_iterator enclosingEHScope)
Kind | getKind () const
llvm::BasicBlock * | getCachedLandingPad () const
void | setCachedLandingPad (llvm::BasicBlock *block)
llvm::BasicBlock * | getCachedEHDispatchBlock () const
void | setCachedEHDispatchBlock (llvm::BasicBlock *block)
bool | hasEHBranches () const
EHScopeStack::stable_iterator | getEnclosingEHScope () const

## Static Public Member Functions
static size_t | getSize ()
static bool | classof (const EHScope *scope)

## Additional Inherited Members
Public Types inherited from clang::CodeGen::EHScope
enum | Kind { Cleanup, Catch, Terminate, Filter, PadEnd }
Protected Attributes inherited from clang::CodeGen::EHScope
union {
CommonBitFields CommonBits
CatchBitFields CatchBits
CleanupBitFields CleanupBits
FilterBitFields FilterBits
}; |

## Detailed Description

Definition at line 491 of file CGCleanup.h.

## Constructor & Destructor Documentation

## ◆ EHPadEndScope()

clang::CodeGen::EHPadEndScope::EHPadEndScope | ( | EHScopeStack::stable_iterator | enclosingEHScope | ) |
| inline

Definition at line 493 of file CGCleanup.h.

## Member Function Documentation

## ◆ classof()

static bool clang::CodeGen::EHPadEndScope::classof | ( | const EHScope * | scope | ) |
| inline static

Definition at line 497 of file CGCleanup.h.

References clang::CodeGen::EHScope::getKind().

## ◆ getSize()

static size_t clang::CodeGen::EHPadEndScope::getSize | ( |  | ) |
| inline static

Definition at line 495 of file CGCleanup.h.

The documentation for this class was generated from the following file:

- lib/CodeGen/CGCleanup.h